Summary:	Psion 5 data format library
Summary(pl.UTF-8):	Biblioteka obsługi plików Psion 5
Name:		psiconv
Version:	0.9.8
Release:	3
License:	GPL
Group:		Libraries
Source0:	http://software.frodo.looijaard.name/psiconv/files/%{name}-%{version}.tar.gz
# Source0-md5:	8d7548e3c6b9cd408544736133728acd
URL:		http://software.frodo.looijaard.name/psiconv/
BuildRequires:	ImageMagick-devel
BuildRequires:	automake
BuildRequires:	bc
BuildRequires:	gcc-c++
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package is meant to make the Psion 5 series of PDAs, as well as
other small computers running Epoc 32, more usable to non-Windows
users. The package consists of several parts:
- Documentation about Psion 5 data formats;
- A library which can be linked against application that have to read
  (and in the future, perhaps write) Psion 5 files;
- An example command-line program which reads Psion files and writes
  more commonly used formats.

%description -l pl.UTF-8
Ten pakiet ma za zadanie uczynić PDA serii Psion 5 oraz inne małe
komputery na Epoc 32 bardziej użytecznymi dla użytkowników systemów
innych niż Windows. Pakiet zawiera:
- dokumentację o formatach danych Psion 5,
- bibliotekę dla aplikacji, która może czytać (w przyszłości być może
  także zapisywać) pliki Psion 5,
- przykładowy program czytający pliki Psion 5 i zapisujący w częściej
  spotykanych formatach.

%package devel
Summary:	Development part of psiconv
Summary(pl.UTF-8):	Część psiconv przeznaczona dla programistów
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for psiconv and Psion 5 file format documentation.

%description devel -l pl.UTF-8
Pliki nagłówkowe psiconv oraz dokumentacja formatu plików Psion 5.

%package static
Summary:	Static psiconv library
Summary(pl.UTF-8):	Statyczna biblioteka psiconv
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static psiconv library.

%description static -l pl.UTF-8
Statyczna biblioteka psiconv.

%prep
%setup -q

%build
cp -f /usr/share/automake/config.sub .
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -rf formats/xhtml/.temp

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO
%attr(755,root,root) %{_bindir}/psiconv
%attr(755,root,root) %{_libdir}/libpsiconv.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpsiconv.so.?
%dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/psion
%{_datadir}/%{name}/xhtml
%{_mandir}/man1/psiconv.1*

%files devel
%defattr(644,root,root,755)
%doc formats/xhtml/*
%attr(755,root,root) %{_bindir}/psiconv-config
%attr(755,root,root) %{_libdir}/libpsiconv.so
%{_libdir}/libpsiconv.la
%{_includedir}/psiconv
%{_mandir}/man1/psiconv-config.1*

%files static
%defattr(644,root,root,755)
%{_libdir}/libpsiconv.a
%changelog
* Sun Dec 18 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/psiconv.git;a=log;h=master

* Sun Dec 18 2016 Jan Rękorajski <baggins@pld-linux.org> a6d15a4
- rebuild with ImageMagick 7.0.3
- release 3 (by relup.sh)

* Thu Mar 12 2015 Jan Rękorajski <baggins@pld-linux.org> baf8a5d
- release 2 (by relup.sh)

* Sun Jun 09 2013 Jan Rękorajski <baggins@pld-linux.org> cbedd12
- up to 0.9.8

* Sun Jun 09 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 7247585
- release 9 (by relup.sh)

* Thu Nov 24 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> e844423
- release 8

* Sun Nov 28 2010 hawk <hawk@pld-linux.org> 454da1a
- release 7

* Mon Jan 18 2010 sparky <sparky@pld-linux.org> beeaa2e
- moved psiconv-config and its man page to -devel
- package lib correctly
- BR: gcc-c++ (because configure is broken and undefining __cxx does not work)

* Mon Jan 18 2010 amateja <amateja@pld-linux.org> c8d620d
- release 6

* Fri Mar 13 2009 hawk <hawk@pld-linux.org> 2e46184
- release 5

* Mon Jun 16 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> aedf16d
- rel 4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> ddfcae4
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0db537c
- converted to UTF-8

* Wed Apr 05 2006 hawk <hawk@pld-linux.org> 4ba4319
- release 3 (rebuild with new ImageMagick)

* Wed Oct 05 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 95d5aa4
- rel 2

* Fri Jul 22 2005 Jakub Bogusz <qboosh@pld-linux.org> e78a7ea
- missing dir

* Fri Jul 22 2005 blekot <blekot@pld-linux.org> 99a7501
- up to 0.97
- more %files

* Tue Mar 29 2005 Jakub Bogusz <qboosh@pld-linux.org> b25f014
- unified

* Tue Mar 29 2005 freetz <freetz@pld-linux.org> 3d70305
- restored

* Tue Mar 29 2005 freetz <freetz@pld-linux.org> e62cec5
- merged from DEVEL

* Sun Jan 02 2005 darekr <darekr@pld-linux.org> 7bd6269
- back to 0.8.3, 0.9.6 is on DEVEL

